#
# spec file for package yast2-printer (Version 2.14.20)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa PolicyKit a2ps aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel boost bzip2 cairo coreutils cpio cpp cpp41 cracklib cups cups-client cups-devel cups-drivers cups-libs curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex fontconfig foomatic-filters freetype2 gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library glib2 glibc glibc-devel glibc-locale glitz gnome-filesystem gpm grep groff gtk2 gutenprint gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libgcrypt libgimpprint libgpg-error libicu libidn libjpeg libltdl libmudflap41 libnscd libpng libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtool libusb libvolume_id libxcrypt libxcrypt-devel libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openssl-devel pam pam-modules pango patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-printer
Version:        2.14.20
Release:        4.1
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-printer-2.14.20.tar.bz2
prefix:		/usr
BuildRequires:  blocxx-devel cups-devel cups-drivers cups-drivers-stp docbook-xsl-stylesheets doxygen gcc-c++ libxcrypt-devel libxslt openssl-devel perl-XML-Writer popt-devel sgml-skel update-desktop-files yast2 yast2-core-devel yast2-devtools yast2-testsuite zlib-devel
Requires:       yast2 netcat zlib blocxx
Requires:       /usr/bin/host cups-libs
Requires:       cups >= 1.2
Provides:       yast2-config-cups yast2-agent-printerdb yast2-agent-cups yast2-lib-printer yast2-config-printer y2c_cups y2c_prnt y2l_printer y2a_cups y2a_printerdb yast2-trans-printer yast2-trans-libprinter yast2-trans-printerdb yast2-trans-cups yast2-printerdb-devel yast2-cups-devel
Obsoletes:      yast2-config-cups yast2-agent-printerdb yast2-agent-cups yast2-lib-printer yast2-config-printer y2c_cups y2c_prnt y2l_printer y2a_cups y2a_printerdb yast2-trans-printer yast2-trans-libprinter yast2-trans-printerdb yast2-trans-cups yast2-printerdb-devel yast2-cups-devel
Provides:       yast2-agent-cups-devel yast2-agent-printerdb-devel y2d_prnt y2t_prnt yast2-db-printer yast2-printerdb
Obsoletes:      yast2-agent-cups-devel yast2-agent-printerdb-devel y2d_prnt y2t_prnt yast2-db-printer yast2-printerdb
Summary:        YaST2 - Printer Configuration

%description
This package contains the YaST2 component for printer configuration.



%debug_package
%prep
%setup -n yast2-printer-2.14.20

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
#mkdir -p $RPM_BUILD_ROOT/var/lib/YaST2/
#touch $RPM_BUILD_ROOT/var/lib/YaST2/ppd_db.ycp
#%post
# delete ppd_db.ycp because of CUPS 1.1->1.2 (bugzilla #214265)
#rm -f /var/lib/YaST2/ppd_db.ycp

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/printer
%dir /usr/share/YaST2/data/printer
%{prefix}/share/applications/YaST2/printer.desktop
/usr/share/YaST2/modules/*.y*
/usr/share/YaST2/clients/printer*
/usr/share/YaST2/include/printer/*
/usr/share/YaST2/schema/autoyast/rnc/printer.rnc
#data
/usr/share/YaST2/data/printer/testpg.*
/usr/share/YaST2/data/printer/models.equiv
/usr/share/YaST2/data/printer/ppd_preference_list
/usr/share/YaST2/data/printer/printers_support
/usr/share/YaST2/data/printer/hp_all_in_one_model_list
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_ppd_file_modify
%{prefix}/lib/YaST2/bin/test_device
%{prefix}/lib/YaST2/bin/test_remote_lpd
%{prefix}/lib/YaST2/bin/test_remote_ipp
%{prefix}/lib/YaST2/bin/test_remote_socket
%{prefix}/lib/YaST2/bin/test_remote_smb
%{prefix}/lib/YaST2/bin/test_remote_novell
%{prefix}/lib/YaST2/bin/listen_remote_ipp
%{prefix}/lib/YaST2/bin/real_resolution
%{prefix}/lib/YaST2/bin/process_ppd_files
%{prefix}/lib/YaST2/bin/assign_printcap_default
%{prefix}/lib/YaST2/bin/prepare_ps_testpage.pl
/usr/lib/YaST2/servers_non_y2/ag_smb_queues
#CUPS stuff
%{_libdir}/YaST2/plugin/libpy2ag_cups.so.*
#PPD agent stuff
%{_libdir}/YaST2/plugin/libpy2ag_ppd.so.*
#PPD agent prebuilt data
%ghost /var/lib/YaST2/ppd_db.ycp
#Devel stuff
%{_libdir}/YaST2/plugin/libpy2ag_cups.so
%{_libdir}/YaST2/plugin/libpy2ag_cups.la
%{_libdir}/YaST2/plugin/libpy2ag_ppd.so
%{_libdir}/YaST2/plugin/libpy2ag_ppd.la
#Documentation
%doc %{prefix}/share/doc/packages/yast2-printer

%changelog
* Thu Feb 08 2007 - mzugec@suse.de
- dialog shows default queue even if there was none (#223838)
- 2.14.20
* Tue Feb 06 2007 - mzugec@suse.de
- suggest PPD file for the selected printer (#214243)
* Tue Feb 06 2007 - mzugec@suse.de
- use recommended ppd if there is any (#220712)
- 2.14.19
* Mon Feb 05 2007 - mzugec@suse.de
- smb queues with user/pass are not listed in list of queues (#240727)
- 2.14.18
* Thu Jan 04 2007 - mzugec@suse.cz
- 2.14.17 - #229231 - hangs up when building database of drivers: 4%%
* Thu Nov 30 2006 - mzugec@suse.de
- ServerName widget minimal size
- 2.14.16
* Mon Nov 27 2006 - mzugec@suse.cz
- #223840 - stops hplip even if it was running
- 2.14.15
* Thu Nov 23 2006 - mzugec@suse.cz
- #223197 - yast2-printer does not show all queues
- #223206 - yast2-printer determines and sets wrong default queue
- 2.14.14
* Tue Nov 21 2006 - mzugec@suse.cz
- #221245 - remote printers are allowed to modify
- 2.14.13
* Mon Nov 13 2006 - mzugec@suse.cz
- #220278 - replace cups-drivers-stp package with gutenprint
- 2.14.12
* Fri Nov 10 2006 - mzugec@suse.cz
- #217259 - printer segfaults - finally fixed
- 2.14.11
* Wed Nov 08 2006 - mzugec@suse.cz
- #217259 - printer segfaults
- 2.14.10
* Wed Nov 08 2006 - mzugec@suse.cz
- #190173 - read settings from CUPS daemon after daemon starts
- 2.14.9
* Tue Nov 07 2006 - mzugec@suse.cz
- fixed src/config/printer.rnc
* Tue Nov 07 2006 - mzugec@suse.cz
- #211564 - align CUPS Permissions dialog
- 2.14.8
* Wed Nov 01 2006 - mzugec@suse.cz
- #210924 - choose correct PPD file
- 2.14.7
* Tue Oct 31 2006 - mzugec@suse.cz
- #215251 - add schema (RNC) file
- 2.14.6
* Tue Oct 31 2006 - mzugec@suse.cz
- fate #301214: Adapt yast2-printer for CUPS 1.2
- 2.14.5
* Tue Oct 24 2006 - mzugec@suse.cz
- #214265 - module crashes when reading old driver database
- 2.14.4
* Fri Sep 01 2006 - mzugec@suse.cz
- fate #416 - recognize iPrint
 -------------------------------------------------------------------
  Tue Oct 17 10:22:55 CEST 2006 - mzugec@suse.cz
 - fixed #206398 - serial printer test fails
 -------------------------------------------------------------------
  Mon Oct  9 10:00:14 CEST 2006 - mzugec@suse.cz
 - #208005 - resize cups dialog
-fixed #116446, #115888, #175323 - hp:// backend
  + testsuite change for CUPS1.2
* Fri Aug 18 2006 - jsrain@suse.cz
- fixed building documentation
- 2.13.23
* Wed Aug 09 2006 - mzugec@suse.cz
- fixed #197106 - DeviceUri syntax problem for samba
* Wed Aug 09 2006 - mzugec@suse.cz
-  fixed #180640 - starts hplip even if it was stoped and disabled
* Wed Aug 09 2006 - jsrain@suse.cz
- fixed tsetsuite
* Tue Jul 18 2006 - mzugec@suse.cz
- 2.13.20 fixed #190173 - lpd printer doesn't get installed
* Fri Jun 09 2006 - mzugec@suse.cz
- fixed #181780 - corrupted URI for smb
* Wed Jun 07 2006 - visnov@suse.cz
- fix build
- 2.13.18
* Fri Jun 02 2006 - mzugec@suse.cz
- fixed #169750 - media size not saved properly
* Thu May 11 2006 - mzugec@suse.cz
- fixed #172856 - wrong encoding
* Thu May 11 2006 - mzugec@suse.cz
- fixed #169689 and #169684 - read CUPS settings in installation
* Thu May 04 2006 - mzugec@suse.cz
- merged texts from proofread
- 2.13.14
* Fri Apr 28 2006 - mzugec@suse.cz
- fixed #169689 -  warning for propose button
* Fri Apr 28 2006 - mzugec@suse.cz
- fixed #169763 - ignore not used zones
* Wed Apr 26 2006 - mzugec@suse.cz
- fixed #169750 - media size not saved properly
* Wed Apr 26 2006 - mzugec@suse.cz
- fixed #169684 - expert cups server setting dialog does not always store data
* Fri Apr 14 2006 - mzugec@suse.cz
- fixed #164851 - warn if conflict choices in PPD
* Fri Apr 14 2006 - mzugec@suse.cz
- fixed #88286 - using locales for A4/Letter
* Tue Apr 11 2006 - mzugec@suse.cz
- fixed #163886 - configuring more printers
* Fri Apr 07 2006 - mzugec@suse.cz
- #163870 - auto-select printer model
* Thu Mar 30 2006 - mzugec@suse.cz
- fixed #161050 - new queue for existing printer
* Wed Mar 15 2006 - mzugec@suse.cz
- fixed #157872 - model and ppd information
* Tue Mar 14 2006 - schwab@suse.de
- Fix unaligned buffer for md5_stream [#140341].
* Wed Mar 01 2006 - mzugec@suse.cz
- fixed #153365 - untranslated text from SuSEFirewall
* Mon Feb 27 2006 - mzugec@suse.cz
- fixed #152172 - hide password when using samba
* Wed Jan 18 2006 - mzugec@suse.cz
- fixed #142784 - difficult to disable cups broadcast listening
* Tue Dec 20 2005 - mzugec@suse.cz
- initial SL10.1
* Tue Dec 20 2005 - visnov@suse.cz
- don't link against libpy2stdio
* Thu Dec 15 2005 - mzugec@suse.cz
- delete deprecated lookup
* Thu Dec 15 2005 - mzugec@suse.cz
- change deprecated find to search
* Tue Nov 08 2005 - mzugec@suse.cz
- improving add printer/queue dialogs
* Tue Sep 13 2005 - mzugec@suse.cz
- fixed (#116744) - remove warning
* Tue Sep 13 2005 - mzugec@suse.cz
- fixed (#116516) - change sequence for unknown printer
* Mon Sep 12 2005 - mzugec@suse.cz
- fixed untranslated string
* Mon Sep 12 2005 - mzugec@suse.cz
- fixed bug #114735
* Mon Sep 05 2005 - mzugec@suse.cz
- fixed cups-server
* Mon Aug 29 2005 - mzugec@suse.cz
- fixed bugs (113299, 113297, 106686)
* Wed Aug 24 2005 - mzugec@suse.cz
- fixed more bugs (WizardHW - add, edit)
* Mon Jul 11 2005 - visnov@suse.cz
- fixed build dependencies
- 2.12.1
* Fri May 13 2005 - jsrain@suse.cz
- fixed list of required packages
* Tue May 03 2005 - jsrain@suse.cz
- renamed variables 'default' and 'switch'
- 2.12.0
* Tue Mar 15 2005 - jsrain@suse.cz
- fixed displaying incorrect label for PPD files (#72792)
* Wed Mar 02 2005 - jsrain@suse.cz
- merged texts from proofread
* Mon Feb 28 2005 - jsrain@suse.cz
- fixed handling of ghostscript packages
* Thu Feb 24 2005 - jsrain@suse.cz
- fixed creating CUPS client-only configuration (#66445)
- 2.11.9
* Wed Feb 23 2005 - jsrain@suse.cz
- fixed some check_ycp errors
* Tue Feb 22 2005 - jsrain@suse.cz
- fixed wildcard for adding PPD files (#66135)
- fixed handling of Samba URIs, not printing password in URI on
  the test page (#64821)
- inform user that setting printer via HPLIP failed
- 2.11.8
* Fri Feb 18 2005 - jsrain@suse.cz
- fixed comments for translators
- 2.11.7
* Thu Feb 17 2005 - jsrain@suse.cz
- inform user about possibility to fix quality problems changing
  the PPD file (#49888)
* Wed Feb 09 2005 - jsrain@suse.cz
- remove indentation from cupsd.conf (#50625)
* Mon Feb 07 2005 - jsrain@suse.cz
- merged texts from proofread
- 2.11.6
* Tue Feb 01 2005 - jsrain@suse.cz
- fixed detection for some printers
* Mon Jan 31 2005 - jsrain@suse.cz
- fixed displaying empty parenthesis in proposal
- 2.11.5
* Tue Jan 25 2005 - jsrain@suse.cz
- syntax fixes
- 2.11.4
* Tue Jan 18 2005 - jsrain@suse.cz
- added HPLIP support
- 2.11.3
* Wed Jan 12 2005 - jsrain@suse.cz
- clean the temporary directory before downloading PPD files
  (#49474)
* Wed Dec 15 2004 - jsrain@suse.cz
- using Progress::set
- adapted to new SuSEFirewall
- cleaned neededforbuild and requires
- fixed handling of IPP queues for non-CUPS servers (##48628)
- 2.11.2
* Mon Dec 13 2004 - jsrain@suse.cz
- ask for URI (instead of host + queue) if configuring direct
  printing on a remote printer via IPP queue (#48628)
- fixed problem with localizations of texts for unconfigured
  printers (#31168)
* Fri Dec 10 2004 - jsrain@suse.cz
- fixed saving changes to PPD file when printing test page (#48899)
- propose to do local filtering when configuring remove printer or
  setting URI manually (#48627, #48629)
- fixed device URI loss if went back from connection change dialog
  (#49115)
* Wed Dec 01 2004 - nashif@suse.de
- Use docbook macros to build documentation
- Removed unneeded packages from nfb
* Tue Nov 09 2004 - jsrain@suse.cz
- fixed transformation country code -> language name in PPD file
- fixes of Bluetoth printing support
* Fri Nov 05 2004 - jsrain@suse.cz
- changed the text for listenning to remote CUPS servers in the
  summary (#42228)
- allowed to set the addresses from which IPP bcasts should be
  received (#40037)
- 2.11.1
* Thu Nov 04 2004 - jsrain@suse.cz
- basic bluetooth printer configuration support
- adapted to new Mode.ycp
- fixes to new interpreter
* Thu Oct 21 2004 - jsrain@suse.cz
- added support for localized PPD files (multiple files with the
  same nick name, but different language)
- don't add supported models if there is no PPD file to database
  (#47092)
* Wed Oct 20 2004 - jsrain@suse.cz
- remove models which don't have any PPD file or record in supported
  printers list from the database (#47092)
* Tue Oct 19 2004 - jsrain@suse.cz
- using unified messages from Label.ycp/Message.ycp
- fixed includes in the agents
- 2.11.0
* Thu Oct 14 2004 - jsrain@suse.cz
- fixed the summary if CUPS client-only installation was selected
  in hardware proposal if packages weren't installed before
  (#47082)
* Mon Oct 11 2004 - jsrain@suse.cz
- adapted to new Arch:: interface
* Thu Oct 07 2004 - jsrain@suse.cz
- fixed adding PPD files to database if file name contains strange
  characters (#46911)
* Wed Oct 06 2004 - jsrain@suse.cz
- fixed displaying the links in the summary (now are inside <li>
  tags)
- "test" link in the summary is now localized
- network interface names are passed through String::EscapeTags
  in the summary (#46801)
* Tue Oct 05 2004 - jsrain@suse.cz
- fix disabling of listenning to CUPS IPP bcasts during
  installation (#46822)
- 2.10.15
* Thu Sep 30 2004 - jsrain@suse.cz
- fixed data checking causing crash (#46468)
- 2.10.14
* Mon Sep 27 2004 - jsrain@suse.cz
- fixed freeze when detecting queues of a server (#46015)
- 2.10.13
* Thu Sep 23 2004 - jsrain@suse.cz
- don't display popups when initializing CUPS or rebuilding
  database of drivers if running in command-line mode (just inform
  via text) (#45924)
- use SuSEFirewall::start to determine if firewall is enabled
  (#45914)
- 2.10.12
* Tue Sep 21 2004 - jsrain@suse.cz
- finished updating documentation and converting it to docbook
* Fri Sep 17 2004 - jsrain@suse.cz
- allow to disable listenning to IPP bcasts and adjust firewall
  settings from the main dialog (#45459)
- 2.10.11
* Tue Sep 14 2004 - jsrain@suse.cz
- fixed testing SMB queues if pasword was specified (#45171)
- fixed testing if queue name for IPP queue is correct (#42140)
- distribute documentation written in docbook inside the package
* Tue Sep 14 2004 - jsrain@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.10
* Thu Sep 09 2004 - jsrain@suse.cz
- use "lpstat -r" instead of "lpq" when testing CUPS server
  accessibility ("lpq" failed if no queue was set) (#44915)
- allow testing individual queues directly from hardware proposal
- fixed reinstalling of all related packages (#44744)
- 2.10.9
* Fri Sep 03 2004 - jsrain@suse.cz
- added GetModified and SetModified functions to _auto client
- fixed enabling/disabling a queue (#44625)
- started making documentation up-to-date and converting to docbook
- 2.10.8
* Fri Aug 27 2004 - jsrain@suse.cz
- fixed usage of the &product; macro
- separate the number added to the proposed queue name in order to
  distinguish multiple queues for the same printer module by
  underscore ('_') (#44310)
- do not add hardvare vendor name to the proposed queue name
- display in class editation dialog the class members
- do not write default queue to /etc/cups/lpoptions (just remove
  the default queue mark from there) and set it in
  /etc/cups/printers.conf only in order to be compliant with other
  tools (#44237)
- inform in the summary about open ports in firewall for accepting
  IPP bcasts
- merged texts from proofread
- 2.10.7
* Thu Aug 19 2004 - visnov@suse.cz
- fix command line return type
- 2.10.6
* Tue Aug 17 2004 - jsrain@suse.cz
- fixed bug in wizard sequence causing crash (#43862)
- fixed Makefile for autogenerated documentation of PPD agent
- correctly initialize packages source and target before
  reinstalling packages (#42569)
- 2.10.5
* Wed Aug 11 2004 - jsrain@suse.cz
- do not try to detect printers if cloning system via AutoYaST
  (#43627)
- 2.10.4
* Tue Aug 10 2004 - jsrain@suse.cz
- merged texts from proofread
* Thu Aug 05 2004 - jsrain@suse.cz
- added widgets for adjusting firewall configuration
- fixed testsuites
- 2.10.3
* Fri Jul 23 2004 - jsrain@suse.cz
- dropped LPRng support
- updated testsuites
- cleaned-up the code
- updated sorting of PPD files (in order to propose the best one)
- 2.10.2
* Mon Jul 19 2004 - jsrain@suse.cz
- using Package.*.ycp instead of Require.ycp
* Thu Jul 15 2004 - jsrain@suse.cz
- adding multiple entries for PPD file to database if it contains
  *1284DeviceID keys (#42988)
- fixed removing of removed PPD files from database (was broken
  when database structure was changed)
- fixed removing of the vendor name from model name if present
  at its beginning (#43051)
- 2.10.1
* Thu Jul 01 2004 - jsrain@suse.cz
- changed the structure of the database of PPD files (file name
  is the key of the database now)
- added possibility to display all files at once (#37486)
- 2.10.0
* Wed Jun 30 2004 - jsrain@suse.cz
- enhanced support of HP all-in-one (PTAL) devices (#40712)
- added trivial CUPS browsing proposal (#40713)
* Tue Jun 29 2004 - jsrain@suse.cz
- don't cut away the "Series" suffix of printer model (#41784)
* Mon Jun 28 2004 - jsrain@suse.cz
- fixed adding queue with unknown URI type, fixed handling
  the "file" URI type (#42093)
- fixed setting of options of PPD files that are represented as
  radio buttons (#41792)
* Thu May 13 2004 - jsrain@suse.cz
- fixed YCP compiler warnings (#40416)
- 2.9.26
* Tue May 11 2004 - jsrain@suse.cz
- fixed setting of CUPS permissions (#40039)
- 2.9.25
* Tue May 04 2004 - jsrain@suse.cz
- merged texts from proofread
- do not add '-P' parameter to samba_print command line (#38500)
- fixed printed PPD file on test page (#38484)
- fixed typos on testpage (#37095)
- fixed readable version of remote LPD queues (removed 'Filtering'
  from the beginning as they don't have to be filtering) (#38706)
- printing full PPD file nick name on the test page (#37488)
- 2.9.24
* Tue Apr 06 2004 - jsrain@suse.de
- fixed behavior of lookup button for SMB queues (#38494)
- 2.9.23
* Fri Apr 02 2004 - jsrain@suse.de
- changed license to GPL
- 2.9.22
* Fri Apr 02 2004 - jsrain@suse.de
- fixed getting list of available queues of local or remote CUPS
  server (#38108)
- 2.9.21
* Thu Apr 01 2004 - jsrain@suse.de
- restarting CUPS before printing test page (#37642)
- killing listen_remote_ipp before printing test page or writing
  configuration if still running (#37860)
- 2.9.20
* Wed Mar 31 2004 - jsrain@suse.de
- fixed setting paper size for detected printers
- ASCII test page doesn't contain localized non-ASCII characters
  (wasn't printed properly with non-ASCII characters) (#37648)
- fixed proposed queue names during hardware proposal (#37552)
- do not try to open file with empty name (if detection of printer
  model fails
- 2.9.19
* Mon Mar 29 2004 - jsrain@suse.de
- fixed testsuite
- removed lookup button for SMB queues (#33169)
- fixed test_remove_smb script (#33169)
- 2.9.18
* Fri Mar 26 2004 - jsrain@suse.de
- correctly count checksums of PPD files
- prefer Foomatic PPDs to PPDs from manufacturers for printers
  that don't understand PostScript in basic configuration
- fixed testing USB connection for CUPS-like devices (#37129)
- fixed detection of spooler if configuring first time for AustYaST
  profile (#36888)
- 2.9.17
* Mon Mar 22 2004 - jsrain@suse.cz
- install also package with PPD files provided by manufacturers
- fixed Makefile of CUPS and PPD agents
- cleanup after duplicate ASCII test pages
- use &product; macro instead of Product::name (as it is possible
  in all RichTexts)
- 2.9.16
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Thu Mar 18 2004 - jsrain@suse.cz
- fixed detection of parallel ports (#36402)
* Mon Mar 15 2004 - jsrain@suse.cz
- fixed testpage printing from the printing filter options dialog
  (not all options were used properly) (#35801)
- reduced spacings in some dialogs, some dialog captions shortened
  (because of the new wizard)
- fixed comments for translators and ydoc
- not using commandline.ycp include
- prefer PPD files provided by manufacturers to other PPD files
  (except downloaded ones)
- wizard buttons consistent with other modules (cancel in the
  first dialog)
- storing information about drivers available on installation
  media
- checking if LPRng is available before offering it as spooler)
- 2.9.15
* Thu Mar 11 2004 - jsrain@suse.de
- check installed spooler when called from hardware proposal
  (#35664)
- lowered severity of message about unproperly installed spooler
  in the hardware proposal (#35227)
- installing printer drivers when they are needed, doesn't check
  if they are installed during startup (#35227)
- updated URLs pointing to on-line info about printer compatibility
  to new SUSE Portal
- get model name from correct entry of the PPD file
- 2.9.14
* Wed Mar 10 2004 - jsrain@suse.de
- fixed division by zero in PPD agent (#35143)
* Wed Mar 10 2004 - jsrain@suse.de
- fixed testsuite
- 2.9.13
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.12
- Migration to new wizard
* Tue Mar 09 2004 - jsrain@suse.de
- Require -> Package (partially)
* Mon Mar 08 2004 - jsrain@suse.de
- setting icon
- 2.9.11
* Sun Mar 07 2004 - kkaempf@suse.de
- more type fixes
* Thu Mar 04 2004 - jsrain@suse.de
- more descriptive texts on the test page (#35306)
* Wed Mar 03 2004 - jsrain@suse.de
- data types more strict
* Mon Mar 01 2004 - jsrain@suse.de
- making all check for PPD file name added to database ignoring
  case (#34767)
- merged texts from proofread
- 2.9.8
* Sat Feb 28 2004 - kkaempf@suse.de
- use counted pointer for YCode
* Thu Feb 26 2004 - jsrain@suse.de
- adding also *.PPD files to database (the check for file name made
  case insensitive) (#34767)
* Sun Feb 22 2004 - kkaempf@suse.de
- adapt testsuite to yast2-core
- 2.9.6
* Thu Feb 19 2004 - jsrain@suse.de
- reduced neededforbuild and requires
- using Require to query installed packages and determine spooler
- fixed exporting CUPS server name for autoinstallation (#34689)
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Fri Feb 13 2004 - jsrain@suse.de
- fixed .scr files
- adapted for kernel 2.6 (new name of usb printer module)
- fixed printer adding sequence
- 2.9.5
* Sat Feb 07 2004 - nashif@suse.de
- removed y2cc files
- 2.9.4
* Wed Feb 04 2004 - jsrain@suse.de
- testsuite fixes
- 2.9.3
* Fri Jan 30 2004 - jsrain@suse.de
- tesuite fixes
- other fixes
- 2.9.2
* Fri Jan 16 2004 - jsrain@suse.de
- merged the new interpreter branch
* Thu Dec 11 2003 - jsrain@suse.de
- using (improved) INI-agent for reading and writing CUPS
  configuration files instead of ugly awk scripts, some internal
  structures updated
* Thu Dec 04 2003 - jsrain@suse.de
- added command line support
* Tue Dec 02 2003 - jsrain@suse.de
- fixed autoinstalaltion support
- added support for (partial) import of autoinstallation map
  created using older version (esp. SLES8) (#33127)
- fixed paths for theme pictures for test page
- several other fixes
- 2.9.1
* Thu Nov 27 2003 - jsrain@suse.de
- syntax fixes for the new interpreter
* Fri Nov 14 2003 - jsrain@suse.de
- reading configuration data primarily from spooler (and not from
  YaST's own configuration file
- adapted testsuites
- fixed minor workflow problem
- cleaned printer deletion code
- cleanup of structure representing particular queue and related
  routines
* Thu Nov 06 2003 - jsrain@suse.de
- added support for localized PPD files (recoding of the texts)
* Wed Nov 05 2003 - jsrain@suse.de
- added checking of constraints defined in PPD files
* Tue Nov 04 2003 - jsrain@suse.de
- added support for PickMany and Boolean option types of PPD files
* Thu Oct 30 2003 - jsrain@suse.de
- updated to use new testpage with themes support (#21661)
- printing meaningful info on testpage for raw queues (#30118)
* Fri Oct 24 2003 - jsrain@suse.de
- broken import cycles of YCP modules, code reorganization
- 2.9.0
* Thu Sep 25 2003 - jsrain@suse.de
- restart CUPS server if ptal device detected (#31692)
- reinitialize CUPS server name before adjusting default queue
  in /etc/cups/lpoptions (#31547)
* Fri Sep 19 2003 - jsrain@suse.de
- fixed suplicate occurences of vendor names in vendor list (#31389)
- fixed testpage printing for multiple proposed queues (#31400)
- fixed detection of queues of remote IPP server's (#31416)
- fixed testsuite again
- 2.8.23
* Fri Sep 19 2003 - nashif@suse.de
- fixed testsuite again
- 2.8.22
* Thu Sep 18 2003 - nashif@suse.de
- fixed testsuite
- 2.8.21
* Thu Sep 18 2003 - jsrain@suse.de
- install ghostscript-x11 if no ghostscript package is installed
  (dependency on ghostscript_any can't be solved automatically)
  (#25617)
- 2.8.20
* Mon Sep 15 2003 - jsrain@suse.de
- fixed adding user constraints to printers (#30790)
- 2.8.19
* Thu Sep 11 2003 - jsrain@suse.de
- removed obsolete ghostscript call when configuring LPRng printer
  (#30401)
* Tue Sep 09 2003 - jsrain@suse.de
- adjusting hotlug instead of hotplug_usb again (because of
  reverted change in hotplug package)
- 2.8.18
* Fri Sep 05 2003 - jsrain@suse.de
- merged texts from proofread
- fixed adding of support status of printers without any PPD file
  to database (#30120)
- 2.8.17
* Thu Sep 04 2003 - jsrain@suse.de
- added available support status data for printer models
- reinitialize package manager's target after packages are
  installed or removed, (workaround of #24986)
- fixed creating of database of PPD files during package building
  (files with additional information weren't used correctly)
- 2.8.16
* Wed Sep 03 2003 - jsrain@suse.de
- fixed checking for changed in database of printers
- creating symlink /etc/printcap -> /etc/cups/printcap if CUPS
  spooler is used (#29671)
* Tue Sep 02 2003 - jsrain@suse.de
- marked missed texts for translation
- not allowing to download PPD files when using LPRng
  (and cupstestppd isn't installed)
- added missing leading slash to proc/bus/usb/001
- print the chameleon photo on testpage if non-postscript printer
  (#29844)
* Mon Sep 01 2003 - jsrain@suse.de
- reverted fix of #29432 in order to do the same as is described
  in documentation
- "hotplug_usb status" doesn't return any meaningful exit code,
  check if proc/bus/usb/001 exists instead
- fixed detection of changes of PPD files (#29802)
- always adjust CUPS to be run if CUPS full server configuration
  (#29413)
- 2.8.15
* Fri Aug 29 2003 - jsrain@suse.de
- adjusting hotlug_usb instead of hotplug
- delete queues deleted not using YaST2, but using CUPS tools
  (#29432)
- 2.8.14
* Thu Aug 28 2003 - jsrain@suse.de
- checking for valid CUPS server hostname before testing the
  connection to the server (#29414)
- fixed forgetting of CUPS server in CUPS client-only dialog
  (#29411)
- deleting /etc/printcap before switching CUPS -> LPRng (#29440)
- /usr/bin/rm -> /bin/rm
- confirm hardware detection in manual mode (#26515)
* Tue Aug 26 2003 - jsrain@suse.de
- enabling hotplug service before ptal service is enabled
* Tue Aug 26 2003 - jsrain@suse.de
- fixed initialization of ptal driver
- 2.8.13
* Mon Aug 25 2003 - jsrain@suse.de
- fixed plural form in popup informing about files added to
  database (#29152)
- better report when testing filtering queue without setting
  printer model (#29159)
- not deleting proposed queues when running from hardware proposal
  (#29156)
- 2.8.12
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.11
* Tue Aug 19 2003 - jsrain@suse.de
- updated configuration reading function
- removed duplicate records from /var/lib/YaST2/printer
- 2.8.10
* Mon Aug 18 2003 - jsrain@suse.de
- testpage update
- HP all-in-one devices detection fixed
- several fixes
- 2.8.9
* Thu Aug 14 2003 - jsrain@suse.de
- removed /etc/sysconfig/printer file handling routines (#28730)
- not asking if remove unneeded CUPS packages when switching to
  CUPS client-only (#28728)
- added checking of existence of called scripts (/etc/init.d/lpd,
  /etc/init.d/hotplug) (#28733)
- fixed detection of printers during module startup (user had to
  push the "Restart detection" button)
- Don't ask user if he wants to save settings, don't display popup
  "Saving OK" (#28729)
- Updated configuration writing function
* Mon Aug 11 2003 - jsrain@suse.de
- merged texts from proofread
- fixed crash when saving configuration
- updated HP all-in-one (ptal) devices handling
- 2.8.8
* Fri Aug 08 2003 - jsrain@suse.de
- fixed printer proposal if no local printer found
- replaced summary string informing about listenning to remote CUPS
  servers broadcasts with better understandable message (#28462)
- fixed forgotten running spooler after abort if wasn't running
  before printer configuration
- fixed testpage printing immediately after switch from CUPS
  client-only configuration to full CUPS server confguration
* Mon Aug 04 2003 - jsrain@suse.de
- displaying error if samba-client or ncpfs package isntallation
  fails
- added .desktop file
- 2.8.7
* Fri Aug 01 2003 - jsrain@suse.de
- added detection of ptal devices (for CUPS) (#25674)
- 2.8.6
* Wed Jul 30 2003 - jsrain@suse.de
- fixed building
- 2.8.5
* Thu Jul 24 2003 - jsrain@suse.de
- fixed proposal - removed unwanted redrawing of screen
- 2.8.4
* Tue Jul 22 2003 - jsrain@suse.de
- unsetting CUPS_SERVER variable et all (#17651)
- fixed configuring queue via setting URI directly (#28124)
* Mon Jul 21 2003 - jsrain@suse.de
- also default queue for LPRng is assigned without any environment
  variable (#27259)
* Fri Jul 11 2003 - jsrain@suse.de
- added possiblity to set default queue for CUPS client-only
  configuration
- 2.8.3
* Thu Jul 10 2003 - jsrain@suse.de
- removed the Info button from model selection dialog as there is
  no info in Foomatic database
- default queue for CUPS is assigned without any environment
  variable (#27259)
* Wed Jul 09 2003 - jsrain@suse.de
- added possibility to download PPD files via HTTP/FTP (#14631)
* Tue Jul 08 2003 - jsrain@suse.de
- fixed packages checking, adapted to foomatic for LPRng usage
* Tue Jun 24 2003 - jsrain@suse.de
- added function to get all available queues (local and remote)
* Mon Jun 23 2003 - jsrain@suse.de
- fixed files not owned by any package
- fixed common_popups, common_messages -> YCP modules
- fixed missing imports
- 2.8.2
* Wed Jun 04 2003 - jsrain@suse.de
- allowed upper letters in queue names (#27163)
- fixed model selecting in NCurses (#27191)
* Mon May 26 2003 - jsrain@suse.de
- improved CUPS server detection, now allows both active and
  passive method
* Fri May 16 2003 - jsrain@suse.de
- updated LPRng spooler support, now supports Foomatic
* Wed May 14 2003 - jsrain@suse.de
- added prebuilt database of PPD files to this package
- updated dialogs, workflow and helps
- 2.8.1
* Tue May 06 2003 - jsrain@suse.de
- added possibility to configure workgroup of samba printers
  (#26483)
* Mon May 05 2003 - jsrain@suse.de
- fixed default value for Browsing option of CUPS server (#26516)
- other monor updates
* Wed Apr 23 2003 - jsrain@suse.de
- updated checking of correctnes of PPD file (#19714), other minor
  updates
* Wed Apr 16 2003 - jsrain@suse.de
- dropped SuSE database support
- code cleanup
* Tue Apr 08 2003 - jsrain@suse.de
- showing status of queues in summary (#24816)
- fixed displaying of already configured printers in the list of
  detected printers (#25423)
* Mon Apr 07 2003 - jsrain@suse.de
- fixed saving of CUPS client-only installation during installation
  (#26097)
* Wed Apr 02 2003 - jsrain@suse.de
- fixed sorting of models in list - now is done according to locale
- code cleanup
- some optimalizations
- documentation update
* Fri Mar 28 2003 - jsrain@suse.de
- minor change of PPD database format
- added support for faster rebuilding of PPD database
- PPD agent optimalizations
- 2.8.0
* Fri Mar 21 2003 - jsrain@suse.de
- updated ppd agend documentation
- updated testsuites
- fixed choosing PPD file for configuration proposing - in some
  seldom cases returned not optimal PPD file
* Fri Mar 14 2003 - jsrain@suse.de
- fixed setting focus of OK button in test printer dialog (#25385)
* Fri Mar 14 2003 - jsrain@suse.de
- removed popup whether delete unneeded packages during
  autoinstallation.  These packages aren't removed and user isn't
  asked during autoinstallation now (#25350)
- 2.7.17
* Wed Mar 12 2003 - jsrain@suse.de
- now installing filters package when switching to CUPS (#25181)
- removed superfluous help text (#25188)
- 2.7.16
* Tue Mar 11 2003 - jsrain@suse.de
- fixed displaying of printer name when adding queue to an existing
  printer (#25046)
- fixed encoding of characters on testpage (#25085)
* Mon Mar 10 2003 - jsrain@suse.de
- fixed lpdfilter's lprsetup calling (#24979)
- 2.7.15
* Fri Mar 07 2003 - jsrain@suse.de
- fixed page size of detected printer setting (#24712)
- fixed labels on buttons of popup before configuration saving
  (#24815)
- 2.7.14
* Wed Mar 05 2003 - jsrain@suse.de
- added new testsuites for PPD agent
* Tue Mar 04 2003 - jsrain@suse.de
- updated documentation
- added testsuite for PPD agent
* Mon Mar 03 2003 - jsrain@suse.de
- patched texts from final proofreading
- fixed Foomatic and SuSE database coexistence problems (#24060)
- forcing printer.o loading when hotplug starts if problem with
  automatical loading if USB printer present is detected (#22580)
- 2.7.13
* Mon Mar 03 2003 - jsrain@suse.de
- fixed order of paragraphs of help to remote connections (#19158)
- fixed loading of printer.o module if needed (#22580)
* Thu Feb 27 2003 - jsrain@suse.de
- showing Test button for network queues during installation
  (Mode::cont) (#24372)
- updated according to new Foomatic PPD files
- fixed configuring printers without Foomatic PPD file (#24090)
* Wed Feb 26 2003 - jsrain@suse.de
- fixed foomatic support for autoinstallation (#24305)
* Tue Feb 25 2003 - jsrain@suse.de
- fixed raw queue help text witn CUPS (#24239)
- allowed to better mix Foomatic and SuSE dadabase data (#24060)
- workflow fix, now always asking for device and model of not
  detected printer (#24240)
- better handling of printers without Foomatic entry (#24010)
- 2.7.12
* Mon Feb 24 2003 - jsrain@suse.de
- tables now corectly react on double click (#24095)
- added prebuilt foomatic database to yast2-printerdb package,
  added handling of prebuilt database (#23917)
- added explainiation to database building progress bar (#24006)
- added time limit for looking for IPP servers (#23915)
- 2.7.11
* Fri Feb 21 2003 - jsrain@suse.de
- now not asking for testing printers if were tested in proposal
  (#24011)
- 2.7.10
* Thu Feb 20 2003 - jsrain@suse.de
- fixed errors in log during installation (#23806)
- fixed sequence when no queue is automatically proposed (#23835)
- fixed sorting of mixed uppercase/lowercase printer model names,
  additionally known problematic names changing to usual
  capitalization (#23834)
- fixed help text to "CUPS USB Device Name Type" dialog (#23972)
* Wed Feb 19 2003 - jsrain@suse.de
- updated ydoc comments
* Tue Feb 18 2003 - jsrain@suse.de
- fixed adjusting of default page size according to locale
  (used PPD file's defaults, typically Letter, now prefers in
  Europe A4)
- fixed displaying of CUPS-like USB device names (didn't include
  serial number)
* Mon Feb 17 2003 - jsrain@suse.de
- fixed import function (#23690)
- fixed re-proposing of CUPS client-only configuration
- 2.7.9
* Tue Feb 11 2003 - jsrain@suse.de
- updated detection of CUPS servers
* Mon Feb 10 2003 - jsrain@suse.de
- added proposing of CUPS client-only configuration
- merged texts from 3rd round of proofreading
- updated method of detection whether module is run by root
- 2.7.8
* Fri Feb 07 2003 - jsrain@suse.de
- fixed configuration of printers autoinstallation (#21998)
- fixed handling of window title-bar close button
- 2.7.7
* Thu Feb 06 2003 - jsrain@suse.de
- merged proofread texts from second round
- added support for non-filtering queues in CUPS
* Mon Feb 03 2003 - jsrain@suse.cz
- several updates and fixes
- 2.7.6
* Wed Jan 29 2003 - jsrain@suse.cz
- Added support for new CUPS USB device names
- Added "Pages per sheet" and "Page orientation" options
- Merged proofread texts
* Tue Jan 28 2003 - jsrain@suse.de
- Fixed sorting of PPD files in PPD file selection
- Fixed deleting of PPD file when was used
- Added possibility to modify model of autodetected printer
* Thu Jan 23 2003 - jsrain@suse.de
- Foomatic database not initializing during hw proposal if not
  needed (#23051)
- Fixed translating of SuSE printers database entries (#19948)
- 2.7.5
* Tue Jan 21 2003 - jsrain@suse.de
- updated Foomatic support
- fixed some usability problems
* Mon Jan 20 2003 - jsrain@suse.de
- added support for pipe and novell printing with CUPS
- updates of Foomatic database support
- 2.7.4
* Wed Jan 15 2003 - jsrain@suse.de
- removed printing to file support
- added support for using some info from SuSE database when using
  Foomatic
- updated help texts
- added additional data files
* Fri Jan 10 2003 - jsrain@suse.de
- workflow and dialogs updates
- added model equivalence list support
- added ppd file preference list support
- updated autoinstallation client, removed write client
- 2.7.3
* Mon Jan 06 2003 - jsrain@suse.de
- severtal updates of Foomatic database support
- 2.7.2
* Fri Dec 20 2002 - jsrain@suse.de
- added basic support for foomatic database
- fixed meaningless help text (#22211)
* Fri Dec 06 2002 - jsrain@suse.cz
- now calling always local CUPS server, ignoring environment
  variable (#21933)
- added more meaningful error messages (#17365)
- 2.7.1
* Thu Nov 28 2002 - jsrain@suse.cz
- added better helptexts (#20131, #18929)
- fixed ordering of help for advanced connections dialog (#19158)
- corrected test disabling (#19693) (jsuchome)
- added test for the case of the bug #19831 (jsuchome)
- added test for the case of the bug #19831 (jsuchome)
- 2.7.0
* Tue Oct 08 2002 - jsrain@suse.cz
- fixed spooler detection and hardware proposal behaviour in case
  of inproperly installed spooler (#20681)
- 2.6.42
* Mon Oct 07 2002 - jsrain@suse.cz
- fixed seting of default queue (#20510)
- 2.6.41
* Wed Oct 02 2002 - jsrain@suse.cz
- fixed testpage printing after changing queue from YaST2 PPD file
  to non-YaST2 PPD file (#20208)
* Tue Oct 01 2002 - jsrain@suse.cz
- fixed spooler switching (resulted to incomplete spooler installed)
- 2.6.40
* Mon Sep 30 2002 - jsuchome@suse.cz
- changed button labels for "Clear current configuration" popup (19824)
* Mon Sep 30 2002 - jsrain@suse.cz
- made user selection dialog wider because of translations (#19160)
- not showing help for other connection if not in dialog (#20133)
* Thu Sep 26 2002 - jsuchome@suse.cz
- fixed bug 20151 (module crashes due to wrongly defined sequences)
* Mon Sep 23 2002 - jsuchome@suse.cz
- corrected tests for printing the testpages
* Fri Sep 20 2002 - jsuchome@suse.cz
- also ascii testpage changed (bugs 19771, 19777)
- forgotten text added to translation
- fixed bug 19579 (adding manual parameters to printers)
- 2.6.39
* Thu Sep 19 2002 - jsuchome@suse.cz
- UnitedLinux test page is used to print when needed
* Tue Sep 17 2002 - jsuchome@suse.cz
- added check for NULL strings when reading ppd file
  to avoid bug #19714
* Thu Sep 12 2002 - jsuchome@suse.cz
- added a hackto avoid bug #19426
  (reinstalation of printer packages doesn't work properly)
* Wed Sep 11 2002 - jsuchome@suse.cz
- added temporary hack for bug #19354
  (strange tailing characters at the end of ppd file)
- 2.6.38
* Tue Sep 10 2002 - jsuchome@suse.cz
- fixed switching CUPS <-> LPRng (bugs #19224, #19226)
- added cups-drivers-stp to delete (#19287)
- corrected parameters for Pkg::DoProvide
* Tue Sep 10 2002 - mvidner@suse.cz
- Require /usr/bin/host to show names of print servers (#19199).
- 2.6.37
* Mon Sep 09 2002 - mvidner@suse.cz
- S390/S390x do not have local printers,
  so no warning and no probing is necessary (#19186).
- Fixed failed test case "tests" by faking more Pkg.
- 2.6.36
* Fri Sep 06 2002 - jsrain@suse.cz
- fixed provides/obsoletes
- 2.6.35
* Thu Sep 05 2002 - jsrain@suse.cz
- fixed help text for printer URI setting dialog
- 2.6.34
* Wed Sep 04 2002 - jsrain@suse.cz
- fixed testpage with non-YaST PPD file (Bug #18879)
- 2.6.33
* Tue Sep 03 2002 - jsrain@suse.cz
- fixed detection if printer deleted outside YaST (Bug #18820)
- adaptations to new package manager (not tested yet)
* Mon Sep 02 2002 - jsrain@suse.cz
- minor ASCII testpage update
- CUPS starting update
- 2.6.32
* Fri Aug 30 2002 - jsrain@suse.cz
- fixed remote hosts lookup
- 2.6.31
* Thu Aug 29 2002 - jsrain@suse.cz
- fixed testsuites
- fixed package manager initialization
- 2.6.30
* Wed Aug 28 2002 - jsrain@suse.cz
- removed obsolete documentation
- fixed remote queues detection
- 2.6.29
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Tue Aug 27 2002 - jsrain@suse.cz
- minor update of testpage
- fixed cups server starting
- 2.6.28
* Mon Aug 26 2002 - jsrain@suse.cz
- fixed adjusting services (CUPS and LPD)
- minor testpage and filter settings modifications
- removed J*tD*r*ct string
- 2.6.27
* Thu Aug 22 2002 - kkaempf@suse.de
- adapt to new package manager
* Thu Aug 22 2002 - nashif@suse.de
- use Y2Logging namespace for logging
- 2.6.26
* Mon Aug 19 2002 - jsrain@suse.cz
- Allowed to lookup TCP port printers on other ports than 9100
- Dead code removing
- Minor fixes
- 2.6.25
* Fri Aug 16 2002 - jsrain@suse.cz
- Fixed checking whether CUPS server is running
- Fixed Printer detection (Bug #17629)
- Fixed workflow on S390 (Bug #17628)
- Fixed help settings
- Merged proofread texts
- Fixed kdoc comments
- 2.6.24
* Sun Aug 11 2002 - mvidner@suse.cz
- Fix building (testsuite adapted to changes in yast2.rpm, due to #17608).
* Fri Aug 09 2002 - jsrain@suse.de
- fixed escputil hangup (Bug #17462)
- fixed USB queues configuration for CUPS (Bug #17284)
- asking for detection during installation too
- fixed USB Epson printers configuration for LPRng
- several minor updates and fixes
- 2.6.22
* Mon Aug 05 2002 - jsrain@suse.cz
- added popup while initializing CUPS server (Bug #17365)
- 2.6.21
* Fri Aug 02 2002 - jsrain@suse.cz
- more checking whether CUPS server running added (Bug #17365)
- not proposing printers not available for both CUPS and LPRng
- 2.6.20
* Fri Aug 02 2002 - jsrain@suse.cz
- printer database stuff separated into an extra package
- 2.6.19
* Tue Jul 30 2002 - jsrain@suse.cz
- fixed comments for translators
- 2.6.18
* Fri Jul 26 2002 - jsrain@suse.cz
- removed yast2-runlevel from required packages
- printerdb.pot now doesn't contain unwanted texts
- added old yast2-trans- packages to Provides/Obsoletes
- 2.6.17
* Mon Jul 22 2002 - jsrain@suse.cz
- merged proofread texts
- fixed database .pot-file generation
* Fri Jul 19 2002 - jsrain@suse.cz
- cups server settings reloaded after confifguraton changed
- testpage fixed
- some message fixed
- minor updates
* Tue Jul 16 2002 - jsrain@suse.cz
- printer proposal fixed
* Mon Jul 15 2002 - jsrain@suse.cz
- sequences fixes
- several minor updates
* Mon Jul 15 2002 - arvin@suse.de
- fixed path for printer database
* Mon Jul 15 2002 - jsrain@suse.cz
- documentation update (Bug #16850)
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 12 2002 - jsrain@suse.cz
- Minor texts updates
- May contain wrong dialog sequences (because of first text-freeze)
* Fri Jul 12 2002 - jsrain@suse.cz
- Added CUPS server configuration support
- Several bugfixes
- Updates of dialogs
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Wed Jul 03 2002 - jsrain@suse.cz
- Updates of proposal, write and auto functions
- Several fixes and minor updates
* Tue Jul 02 2002 - jsrain@suse.cz
- Several fixes
- Dialogs updates
- Merged cups agent and printer database, all printer related code
  is in this package now
- Renamed to yast2-printer
* Mon Jun 24 2002 - jsrain@suse.cz
- Helps updates
- Added sorting of installed printers
- Dialog sequence updates
- nonYaST ppd file dialog update, added test button
- Added pipe printing
- Fixed serial printing (Bug #16692)
- Several bugfixes
- Enhanced consistency between spoolers
* Mon Jun 17 2002 - jsrain@suse.cz
- Added CUPS client-only configuration support
- Added IrDA support
- Added start from scratch
- Added checking printer configuration by selected spooler
- Updated helps
- Added database switching support
- Updated checking of running CUPS server
* Thu Jun 06 2002 - jsrain@suse.cz
- Updated dialogs and sequences
- Added support for manufacturer's PPD files (Bug #14631)
- Updated sorting of autodetected printers (Bugs #13720 and #15680)
* Mon Jun 03 2002 - jsrain@suse.cz
- Updated functionality, now configures CUPS classes
- Updated interface to CUPS agent
* Fri May 24 2002 - jsrain@suse.cz
- Updated functionality, now able to configure CUPS printers
- Updates of user dialogs
* Fri May 03 2002 - jsrain@suse.cz
- Fixed: "/" now allowed in remote queue names (Bug #16023)
- Documentation file internals.html is installed too.
- Fixed: printing did not work when username or password were
  specified for samba or novell printer. Redirect scripts were
  called improperly.(Bug #15936)
* Thu Apr 18 2002 - pblahos@suse.cz
- Uses agent instead of client for reading samba queues.
* Mon Apr 08 2002 - pblahos@suse.cz
- Uses .printerdb instead .printerdb.lpd (accordingly to the
  changes in printer db agent)
- Text "Can not install printer" changed to "Warning" because it
  was used also for supported-problematic printers (Bug #15481)
* Thu Mar 21 2002 - pblahos@suse.cz
- Buttons for testing remote printers/connections are hidden
  during the installation. Network probably doesn't work yet.
  Also testing of raw printers is disabled. (Bug #15192)
- /usr/lib/lpdfilter/bin/lprsetup is called instead of link
  /usr/sbin/lprsetup. (Bug #15212)
- When creating new prefilter and forwarding queues at once,
  forwarding queue name wasn't checked for uniqueness (Bug #15218)
* Mon Mar 18 2002 - pblahos@suse.cz
- _auto module doesn't perform autodetection anymore. (Bug #15083)
* Fri Mar 15 2002 - pblahos@suse.cz
- Added _( ) around "Configuration options". (Bug #15029)
* Wed Mar 13 2002 - pblahos@suse.cz
- Changed button Continue --> OK to satisfy text. (Bug #14836)
- Fixed test of prefiter queues. Corresponding forwarding queue
  wasn't written (Bug #14475)
- Samba/Novell password isn't written into /etc/printcap but to
  /etc/lpdfilter/$QUEUE/redirect, which is lp:lp 0750 (Bug #14106)
* Mon Mar 11 2002 - pblahos@suse.cz
- Hi-color image isn't printed in test print on postscript printers
  (Bug #13776)
* Fri Mar 08 2002 - pblahos@suse.cz
- Installation::continue_mode doesn't exist anymore. Now Mode::cont
  must be used. (Bug #14587)
* Wed Mar 06 2002 - pblahos@suse.cz
- _auto module returns $[] if there is no change (Back or Abort
  pressed) (Bug #14526)
- Directory /etc/gs.upp isn't created anymore. (Bug #14531)
- Popup "Changes will be saved" isn't shown during proposal.
  (Bug #14471)
- Formfeed was handled incorrectly. (Bug #14254)
* Mon Mar 04 2002 - kkaempf@suse.de
- Replace empty locale (translatable string) with normal string,
  (empty strings can't be translated, see #14370).
* Wed Feb 27 2002 - pblahos@suse.cz
- Comment for option is shown if any. (Bug #13992)
- Added comment pointing to an exemplary options into printer
  conf file. (Bug #13954)
- Uses ieee identifiers in addition to db identifiers when getting
  printer name (Bug #13957)
- Correct handling of radio buttons when selecting way of
  configuration of autodetected printer. (Bug #13956)
* Mon Feb 25 2002 - pblahos@suse.cz
- Queue used for testing printer is called y2test.
- Testmode changed: now it works as a screenshot mode.
* Thu Feb 21 2002 - pblahos@suse.cz
- Longer -- more descriptive printer entry in summary.
- Implemented checking of string validity in ValueText
- Links for testing each print queue added to the very first screen
  of printconf (Bug #13514)
* Mon Feb 18 2002 - pblahos@suse.cz
- Main printconf module returns `back, `next or `abort
- Unique keys are saved to libhd.
* Fri Feb 08 2002 - pblahos@suse.cz
- '-' and '_' must not be the first character in the queue name
  (Bug #13114)
- When autoconfiguring printer, the same numeric suffix is appended
  to all queues added to one printer. (Bug #13112)
- Button 'OK' changed to 'Printout finished' during testpage
  printing. Button 'OK' is too attractive. (Bug #13111)
* Thu Feb 07 2002 - pblahos@suse.cz
- Supports Textual options and options aliases (Compound options)
- Proposal infrastructure.
- Reloading of database implemented.
* Mon Feb 04 2002 - pblahos@suse.cz
- support for vendor-supplied databases
- .rc.config.DEFAULT_PRINTER replaced by .sysconfig.printer.DEFAULT_PRINTER
- Call lprsetup with -color.
- Fixed: agent for reading printcap handles result and does not hang
  if there is a comment in printcap
- Added help text saying that default printer becomes default after
  login. (Bug #12065)
- support for foreign database
- "raw" state of the remote printer was set to invalid value (nil)
  and hence the printer wasn't shown in summary (Bug #12970)
* Wed Jan 30 2002 - pblahos@suse.cz
- names of files from /etc/lpdfilter are now allowed as queue names
- '-' allowed in queue name
- code for reading princap and printer settings moved to agent
- Fixed: selection of configuration by clicking on the richtext
  widget didn't work, combo content was grabbed instead.
* Mon Jan 28 2002 - pblahos@suse.cz
- SuSEconfig run and restart of service removed from printconf_write
- printcap lines needn't be finished by \ (backslash)
- lp1, raw, remote are again allowed as printer names
- Adding remote printer works again.
* Mon Jan 21 2002 - pblahos@suse.cz
- Buttons OK and Cancel switched on the parallel port details dialog
- Uses lpdfilter.
- Uses new postscript test page.
* Fri Jan 11 2002 - pblahos@suse.cz
- parallel ports io ports may be specified (Bug#12523)
- uses module Summary
- when adding printer, does initial paper size selection by
  regional settings.
- uses module Report to report errors during save.
* Mon Jan 07 2002 - pblahos@suse.cz
- printconf_auto.ycp: file for autoinstallation data preparation.
* Fri Jan 04 2002 - pblahos@suse.cz
- Uses yast2-agent-printerdb as printer database server.
* Wed Dec 05 2001 - pblahos@suse.cz
- After lookup for hosts on network, first is selected.
- Added 3rd parameter to select to satisfy new libycp.
- Only lower-case queue names are allowed since now. (Bug 12541)
- More encodings in ascii printing settings. All encoding ogonkify
  understands used.(Bug 12522)
* Mon Dec 03 2001 - pblahos@suse.cz
- Uses y2autoconf and create-spec.
* Wed Nov 28 2001 - pblahos@suse.cz
- More test cases.
- Some functions moved from yast2-lib-printer.
* Tue Nov 27 2001 - pblahos@suse.cz
- Return values added to function headers.
- Uses module Runlevel instead of client runlevel_adjust.
* Fri Nov 23 2001 - pblahos@suse.cz
- Some function moved to y2l_printer.
* Tue Nov 20 2001 - pblahos@suse.cz
- Implements module.
* Wed Nov 07 2001 - pblahos@suse.cz
- Really all lookups have 3 parameters.
* Wed Nov 07 2001 - pblahos@suse.cz
- Added third parameter to all lookups.
- Button Set as default is placed below Add/Edit/Delete buttons.
  Hopefully now there is enough space for French translations.
  (Bug 11980)
- Migrated to module Wizard
- Saving of ascii print features works again.
* Fri Oct 26 2001 - pblahos@suse.cz
- Predefined names for /dev/usb/lp0-7
- Can print to disk file.
- printconf now saves only currently tested printer (and possibly
  its forwarding queue) when doing test-print (Bug #11993)
- printconf is more careful when deleting deleted printer queues
  from disk (Bug #12020)
- Permissions 0755 are set to /etc/gs.upp (Bug #12017)
* Thu Oct 25 2001 - pblahos@suse.cz
- Writting is faster.
- Permissions 0644 are set to /etc/printcap also when doing test
  print (Bug #6291)
* Wed Oct 24 2001 - pblahos@suse.cz
- Uses module Progress instead of include progress
- Uses wizard sequencer
- More baud rates for serial printers
* Tue Oct 16 2001 - pblahos@suse.cz
- Migrated to yast2 devtools
* Wed Oct 10 2001 - pblahos@suse.cz
- Lookup for all hosts on local network, or for samba servers or
  lpd servers (with opened port 515) is possible. (Bug #9201)
* Mon Oct 01 2001 - pblahos@suse.cz
- Error/informational messages fixed (Bug #10278)
- It is possible to run configuration even if there is no
  printer database or spooler can not be started.
- When no print-spooler is installed, installation of lprng is
  offered.
* Mon Sep 17 2001 - pblahos@suse.cz
- When in installation, printconf stops lpd when exiting.
  (Bug #10638)
* Fri Sep 14 2001 - pblahos@suse.cz
- Abort button works properly in Features dialog. (Bug #10652)
- When testpage printing is not successful, output from lpr
  is shown (Bug #10277)
* Fri Sep 14 2001 - pblahos@suse.cz
- Now apsfilter-setup should not fail to run without reason (#10265)
* Fri Sep 07 2001 - pblahos@suse.cz
- creates empty /etc/printcap if it does not exist before starting
  lpd (Bug 10284)
- if unsuccessful in starting lpd, does not bail out (Bug 10284)
- "all" is forbiden as queue name (Bug 10280)
- /dev/usblp? replaced by /dev/usb/lp?
- Unused functions were removed.
- Progress bar fixed: Labels are shown again.
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed for testsuite.
* Mon Aug 27 2001 - pblahos@suse.cz
- Fixed test suites due new yast2-lib-printer
* Thu Aug 23 2001 - pblahos@suse.cz
- Fixed some texts.
- Faster saving. Permitions of apsfilterrc_* files are changed at
  the end.
* Fri Aug 17 2001 - pblahos@suse.cz
- fileexist replaced by SCR::Read(.target.size)!=-1
* Mon Aug 13 2001 - pblahos@suse.cz
- Replaced spaces by tabs.
- UI (`...) changed to UI:: and SCR (`...) changed to SCR::...
- Removed usbmgr dependencies.
* Thu Aug 09 2001 - pblahos@suse.cz
- Write modules optimized.
- Uses runlevel_adjust for adjusting lpd service startup.
- When [Finish] is pressed printconf always saves at least empty
  printcap. It allows lprng to run.
- Closes dialog when leaving printconf.
- Back works properly on screen with autoconfigured printers.
- Test button on screen with autoconfigured printer works.
- lprng will be default spooler. Hence when switching print spooler
  to LPD, lprng is installed.
* Thu Aug 02 2001 - pblahos@suse.cz
- Removed some unnecessarry functions.
- Uses ui/wizard_hw to create dialog with list of configured printers.
- Test suites work again.
* Mon Jul 30 2001 - pblahos@suse.cz
- Many fixes because new YaST2 libs.
- Glyph BulletArrowRight now points at the default queue.
- Sample command on postscript testpage always contains queue name
  (Bug 9510)
* Fri Jul 27 2001 - pblahos@suse.cz
- Texts proof-read.
- New workflow for autodetected printers.
- No automatic network lookup. Now there is button Lookup (bug 9201)
* Mon Jul 23 2001 - pblahos@suse.cz
- Works with new YaST2 libs
- #9016: added keyboard shortcuts to some labels.
* Tue Jun 12 2001 - pblahos@suse.cz
- Removed wrappers that work around textdomain in includes problem.
- Abort button disabled during startup of module.
- Using functions for test page preparation from yast2-lib-printer
- #8330: removed error records from y2log.
- ps test page does not need to be resized.
- Using smb printers detection routines from yast2-lib-printer. Now
  only hosts with smb are offered. Button Get queues works.
- Using printer detection routines from yast2-lib-printer
* Mon May 07 2001 - pblahos@suse.cz
- #7688: Textdomain is set before calling functions included from other
  packages. (also related to #7700)
- #7701: manually configured printers were not shown in summary screen.
* Fri May 04 2001 - pblahos@suse.cz
- #7650: There are again newlines in /etc/printcap after printer was
  edited.
- Ascii print features dialog fix: if test was pressed than any radio
  button or checkbox generated test.
- #7330: Cancel buttons renamed to Back
* Mon Apr 30 2001 - pblahos@suse.cz
- '+' is allowed in 1284 id. Needed for proper autodetection of
  some printers.
* Fri Apr 27 2001 - pblahos@suse.cz
- Removed parallel port detection. (See #6239, #7143)
- Accepts .nodetection argument to skip autodetection of printers
  and parallel ports.
- Fixes in summary module.
- Fixes in USB Epson Stylus detection.
- Requires translation package.
* Tue Apr 24 2001 - pblahos@suse.cz
- Testpage prints again for edited printer
- Starts usbmgr if it does not run.
- Reloading parport_probe before printer detection.
- Added quotes to script that prepares testpage. It is not necessarry
  here but for case.
- Changed detection of parallel ports--uses lib-printer.
* Fri Apr 20 2001 - pblahos@suse.cz
- Removed isnil
- Removed ' in .target.bash calls.
- #7039: there were badly quoted entries in /etc/apsfilterrc.y2prn*
- #7038: fixed help texts relevant to quick setup changed:
  configured queue need not be necessarry monochrome
* Fri Apr 20 2001 - ro@suse.de
- isnil fix
* Wed Apr 18 2001 - pblahos@suse.cz
- make check is made during autobuild.
- Calls escputils to get correct model name for USB Epsons.
- Fixed bad parameters passed to define AnyQuestionPopup.
- Removed .target.bas_background because of fixed target agent.
- Restarting of daemons changed to stop/start from restart.
* Tue Apr 17 2001 - pblahos@suse.cz
- Main dialog is closed before return.
- Summary module implemented.
- Menuentry moved from Hardware to Misc.
- Does not create unnecessary /usr/lib/YaST2/bin
- Does not require aps, netcat.
- Check for root is performed when printconf is started.
- If cups is installed, uninstallation of cups and installation of
  lprold is supplied to user.
* Fri Apr 06 2001 - pblahos@suse.cz
- This package requires y2l_printer.
- Test pages moved to y2l_printer.
- Functions for testing connection moved to y2l_printer.
- Fixed bug in apsfilterrc patching.
- When default printer is removed, PRINTER is set to ""
- Used any agent to modify /etc/usbmgr/preload.conf
- Main page of edited printer shows current values.
- Default queue name for autoconfigured printer is lp or printerX.
  (request from jsmeix)
* Thu Mar 29 2001 - pblahos@suse.cz
- Install documenatation to /usr/share/doc/$RPMNAME
- #6678: Adding printer works also if there are more printers with the
  same name in /etc/printcap
- Installs client scripts to client_non_y2.
- New libycp compilant.
* Mon Mar 26 2001 - pblahos@suse.cz
- Proof-read.
* Thu Mar 22 2001 - pblahos@suse.cz
- Edit printer screen has preview values.
- When there is no default printer, first added printer becomes default.
- Helptexts updated.
* Wed Mar 21 2001 - ro@suse.de
- re-added Build-Arch noarch to specfile
* Wed Mar 21 2001 - pblahos@suse.cz
- Changes in workflow for autodetected printers.
- Selection of connection is not popup but in-wizard dialog.
* Wed Mar 14 2001 - pblahos@suse.cz
- Every printer connection can be edited.
- Uses wizard library for main dialog.
- Uses .target.control.printer_reset -> package is noarch.
* Wed Mar 07 2001 - pblahos@suse.cz
- Package renamed from y2c_prnt to yast2-config-printer
- It is possible to edit connection settings for some printers.
- #5443: workflow improved: when no printer is configured, printconf starts
  with question: do you want to configure new printer manually?
- Files related to deleted printers are removed.
- Printers can be renamed.
- Manufacturer/model can be changed.
- Help texts improved.
- Changes in upp files made outside of printconf are not killed (replaced)
  by printconf. User is asked if he wants to keep changes or edit settings
  (and kill changes).
- #5598: text explains that lp<number> name for printer is forbidden.
- #5142: better message when there is problem with remote printer (lpd).
- Added progress bar when saving.
- Changed dialog for choosing connection type.
- Added progress bar for initialization.
- Speed optimalization: printers db/macros are global variables.
  They are never passed as functions arguments.
- Speed optimalization: process of localization of printers db
  changed. Now only manuf/model names and comments are translated.
- Speed optimalization: manufacturer names from printers db are
  cached in array. Selection of manufacturers is created faster.
- Speed optimalization: indexes are used as ids in manufacturer/
  model selection.
- Depended options (suboptions) are indented in selection.
- Tag documented_7_1 (changes below).
- Documentation complete.
- Coding rules applied.
- Testsuites implemented.
- #6291: setting permitions of /etc/printcap to 0644, so everyone
  can read it.
* Mon Jan 22 2001 - pblahos@suse.cz
- Button (Finish|Next) is always focused.
* Thu Jan 18 2001 - pblahos@suse.cz
- Ascii testpage improved. Now it contains some ISO-8859-[1|2] characters
* Wed Jan 17 2001 - pblahos@suse.cz
- #5271: does not call anyagent read if unique.inf does not exist
- #5781: invalid initial value nil for apsfilterrc fixed
- added some comments for translators
- skip in autodetected printers works even if there are more printers
* Mon Jan 15 2001 - pblahos@suse.cz
- There is not needed to press back twice in autodetected printer screen
  to quit.
- #5593: yast2 does not offer autoconfiguration of GDI printers.  Dialog
  with printer comment is poped up and next is disabled.
- #5596: list of available parports is taken from /proc/parport again.
  .probe.byclass.comm.par did not return all ports always. Same change
  was done for serial ports.
- #5611: parallel ports additional to that autodetected  by .probe.byclass.comm.par
  are not deleted from modules.conf. It made problem to PCI parport cards.
- #5598: printer name must not be lp<number>
- length of name of ascii printer is checked (must be less then 20)
- added some comments for translators
* Thu Jan 11 2001 - pblahos@suse.de
- added full path to commands on .target.bash
- removed writting START_USB to rc.config (usbmgr is started always)
- removed writting printer to rc.config.d/usb.rc.config (obsoleted)
- write printer to /etc/usbmgr/preload.conf iff there is usb printer
* Thu Jan 11 2001 - pblahos@suse.de
- #5443: partially fixed: items in selection of devices are reordered so
  as parallel is first. First item is selected by default.
* Wed Jan 10 2001 - pblahos@suse.cz
- add init strings for Epson USB printers into /etc/apsfilter.. RESET_BEFORE
- delete old apsfilter... before creating new for new printer
- #5443:when no printer is configured nor autodetected, dialog for choosing
  printer type is popped
* Tue Jan 09 2001 - pblahos@suse.cz
- #5271: calls select iff list is not empty, nor nil (does not call select([],0))
- #5269: Trans was enhanced to accept locale, which can appeas in printers.ycp
* Fri Jan 05 2001 - pblahos@suse.cz
- #5147: /sbin/SuSEconfig call improved
- #5143: print test page when creating prefilter queue with "create new tcpip fwd. queue" now works
- unique keys are saved iff Finish is pressed, not when printing test page.
- if /etc/printcap does not exist, it is created when backing up (printconf_backup)
- depended options fixed: when there was no defaultindex, options may have saved incorrectly
* Tue Jan 02 2001 - pblahos@suse.cz
- uses .probe.byclass.comm.par to read correct parport settings
- when saving, writes correct parport settings to modules.conf (.modules.options)
- reads available parallel/serial ports from .probe.byclass.comm.<par|ser>
* Thu Dec 28 2000 - pblahos@suse.cz
- Button Edit is disabled for tcpip fwd queue and for printers that were not configured with yast2.
- Already configured autodetected printers are not offered again. (uses unique_key and .var.lib.yast.unique)
- First printer does not need be "lp", name for ascii printing is always <name>-ascii. (according to new apsfilter)
- Printer name must not contain '-'
- When editing printer name, ascii name is updated immediately.
* Fri Dec 22 2000 - pblahos@suse.cz
- Depended options fixed by indexing.
- *y2bak files do not retain in /etc.
* Tue Dec 19 2000 - kendy@suse.cz
- #4842: Disable the [Info] button if there is no info available
- #4539: Improved information about non-presence in the database
* Mon Dec 18 2000 - kendy@suse.cz
- Bugfix #4019
- [Test] not allowed for Samba/Windows and Novell
- No need to press [Ok] to begin testing Remote or Prefilter
* Wed Dec 13 2000 - mike@suse.de
- new menuentry file
* Tue Dec 12 2000 - kendy@suse.cz
- new menuentry
- /etc/init.d/usb is wrong, changed to /etc/init.d/usbmgr
- Read(.target.tmpdir) instead of /tmp
- testsuite with the first simple test
  ver. 2.1.7
* Fri Dec 08 2000 - kendy@suse.cz
- All /sbin/init.d changed to /etc/init.d
* Thu Dec 07 2000 - arvin@suse.de
- fix double quoted symbol
* Wed Dec 06 2000 - kendy@suse.cz
- YaST2/include/printconf* to the package
  ver 2.1.4
* Wed Dec 06 2000 - kendy@suse.cz
- .bz2 instead of the .gz
  ver 2.1.3
* Tue Dec 05 2000 - kendy@suse.cz
- Requires: y2d_prnt aps netcat
- printconf_write_printer.ycp renamed to printconf_write.ycp
- .target agent is used instead of Shell, ReadY2, ...
- changes in the layout (the main and the hw indep. settings screens)
- bugfix in choosing the hostname for the printer
  ver. 2.1.2
* Tue Nov 28 2000 - kendy@suse.cz
- Some bugfixes (name for TCP/IP forwarding queue, ...)
- Layout changed according to the sigi's recommendition
  ver. 2.1.1
* Tue Nov 07 2000 - kendy@suse.cz
- Deleting
- Editing
- Setting as default
- Prefilter queues
- Serial printers
- Hardware independent settings (pages per sheet, encoding)
- Ascii test page
  ver. 2.1.0
* Mon Jul 24 2000 - kendy@suse.cz
- Preselect the autodetected printer if the user chooses [manual]
- "Printer's settings" dialog: preselect the first option
  ver 2.0.11
* Wed Jul 19 2000 - kendy@suse.cz
- Show OptionComments (if available for given option)
  ver. 2.0.10
* Tue Jul 11 2000 - kendy@suse.cz
- Do not display manufacturer comment when clicked.
  ver. 2.0.9
* Fri Jun 30 2000 - kendy@suse.cz
- Changes in buttons; comments in popups when a printer is selected.
* Thu Jun 29 2000 - kkaempf@suse.de
- requires y2t_prnt
* Wed Jun 28 2000 - kendy@suse.cz
- Bugfix in Aplying macros on autodetected printers.
  lpd restart before printing the testpage (needed for lprng)
* Mon Jun 26 2000 - kkaempf@suse.de
- message changes
  version 2.0.6
* Thu Jun 22 2000 - kendy@suse.cz
- Bugfixes in write of /etc/apsfilterrc.<samba/novell>
* Tue Jun 20 2000 - kendy@suse.cz
- Bugfixes in dependent options and comparison of IEEE1284 strings.
* Mon Jun 19 2000 - kendy@suse.cz
- Use of the comments in the database.
* Fri Jun 09 2000 - kendy@suse.cz
- Samba & Novell printers
* Thu Jun 08 2000 - kendy@suse.cz
- The structure of the database changed.
  printers.ycp -> printers.ycp & printer_macros.ycp
  Remote printers
  New screen layout
* Fri May 26 2000 - schwab@suse.de
- Remove noarch.
* Fri May 19 2000 - kkaempf@suse.de
- initial version
